# METADATA
# title: search
# description: |
#  Default search policy
# related_resources:
# - ref: https://community.opengroup.org/osdu/platform/security-and-compliance/policy/-/blob/master/app/tests/templates/search.rego
package osdu.partition["${data_partition}"].search

default allow = false

allow = true {
    input.operation == "view"
    # At least one user group needs to be in acl viewers
    input.record.acl.viewers[_]==input.groups[_]
}

allow = true {
    input.operation == ["view", "create", "update", "delete", "purge"][_]
    # At least one user group needs to be in acl owners
    input.record.acl.owners[_]==input.groups[_]
}
