import os
from azure.identity import DefaultAzureCredential
from azure.keyvault.secrets import SecretClient


class Helper(object):

    CONTAINER_NAME = "policy-bundles"
    BUNDLE_FILE_NAME = "bundle.tar.gz"
    DEFAULT_POLICIES_PATH = os.getcwd().replace('scripts\\azure', 'default-policies')
    KEY_VAULT_URI = os.getenv("KEYVAULT_URI")

    def get_key_vault_secret(self, key: str):
        credential = DefaultAzureCredential()
        secret_client = SecretClient(
            vault_url=Helper.KEY_VAULT_URI,
            credential=credential
        )
        return secret_client.get_secret(key).value

    def get_storage_connection_string(self):
        return self.get_key_vault_secret("airflow-storage-connection")
